﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCAS_BADDEALENTRY') 
 CREATE TABLE T_QCAS_BADDEALENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FUNQUALIREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNQUALITYPE BIGINT DEFAULT 0 NOT NULL,
FHANDMETHED NVARCHAR(5) DEFAULT ' ' NOT NULL,
FRESPONORG BIGINT DEFAULT 0 NOT NULL,
FRESPONDEPART BIGINT DEFAULT 0 NOT NULL,
FRESPONUSER BIGINT DEFAULT 0 NOT NULL,
FHANDTIME DATETIME,
FUNQUALIQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSECONDINSPEC CHAR(1) DEFAULT '0' NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FUNQUALITIME DATETIME,
FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXPTY BIGINT DEFAULT 0 NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FCHKOBJENTRYID BIGINT DEFAULT 0 NOT NULL,
FCHKOBJID BIGINT DEFAULT 0 NOT NULL,
FSRCORDERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCORDERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCUNITID BIGINT DEFAULT 0 NOT NULL,
FCONVERTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWBBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLENTITYENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSECONDCK CHAR(1) DEFAULT '0' NOT NULL,
FMATERIALCFG BIGINT DEFAULT 0 NOT NULL,
FDRAWCAPNUM INT DEFAULT 0 NOT NULL,
FSCSYSTEM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCUSTOMER BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCAS_BADDEAL_L') 
 CREATE TABLE T_QCAS_BADDEAL_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCAS_BADDEAL') 
 CREATE TABLE T_QCAS_BADDEAL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINSPEDEPARTMENT BIGINT DEFAULT 0 NOT NULL,
FINSPECTOR BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FHANDDATE DATETIME,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCAS_table.sql **/
