﻿/**Begin D:\PDM_UPGRADE\PDM1\QCAS_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCAS_INSPBILL', 'T_QCAS_INSPBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPLL_FBILLNO') CREATE INDEX IDX_QCAS_INSPLL_FBILLNO ON T_QCAS_INSPBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPLL_FCREATETIME') CREATE INDEX IDX_QCAS_INSPLL_FCREATETIME ON T_QCAS_INSPBILL ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCAS_INSPBILL_L', 'T_QCAS_INSPBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPLLL_FID') CREATE INDEX IDX_QCAS_INSPLLL_FID ON T_QCAS_INSPBILL_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPLLL_FCOMMENT') CREATE INDEX IDX_QCAS_INSPLLL_FCOMMENT ON T_QCAS_INSPBILL_L ( FCOMMENT );


 EXEC P_ALTERPK 'PK_QCAS_INSPENTRY', 'T_QCAS_INSPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPRY_FID') CREATE INDEX IDX_QCAS_INSPRY_FID ON T_QCAS_INSPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPRY_FSEQ') CREATE INDEX IDX_QCAS_INSPRY_FSEQ ON T_QCAS_INSPENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCAS_INSPENTRY_L', 'T_QCAS_INSPENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPRYL_FENTRYID') CREATE INDEX IDX_QCAS_INSPRYL_FENTRYID ON T_QCAS_INSPENTRY_L ( FENTRYID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPRYL_FSUBCOMMENT') CREATE INDEX IDX_QCAS_INSPRYL_FSUBCOMMENT ON T_QCAS_INSPENTRY_L ( FSUBCOMMENT );


 EXEC P_ALTERPK 'PK_QCAS_INSPSUBRESPROJ', 'T_QCAS_INSPSUBRESPROJ', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPOJ_FENTRYID') CREATE INDEX IDX_QCAS_INSPOJ_FENTRYID ON T_QCAS_INSPSUBRESPROJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPOJ_FSEQ') CREATE INDEX IDX_QCAS_INSPOJ_FSEQ ON T_QCAS_INSPSUBRESPROJ ( FSEQ );


 EXEC P_ALTERPK 'PK_QCAS_INSPSUBRESPROJ_L', 'T_QCAS_INSPSUBRESPROJ_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPOJL_FDETAILID') CREATE INDEX IDX_QCAS_INSPOJL_FDETAILID ON T_QCAS_INSPSUBRESPROJ_L ( FDETAILID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPOJL_COMMENT') CREATE INDEX IDX_QCAS_INSPOJL_COMMENT ON T_QCAS_INSPSUBRESPROJ_L ( FINSPECCOMMENT );


 EXEC P_ALTERPK 'PK_QCAS_INSPSUBRESRELA', 'T_QCAS_INSPSUBRESRELA', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPLA_FENTRYID') CREATE INDEX IDX_QCAS_INSPLA_FENTRYID ON T_QCAS_INSPSUBRESRELA ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPLA_FSEQ') CREATE INDEX IDX_QCAS_INSPLA_FSEQ ON T_QCAS_INSPSUBRESRELA ( FSEQ );


 EXEC P_ALTERPK 'PK_QCAS_INSPSUBRESSAMP', 'T_QCAS_INSPSUBRESSAMP', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPMP_FENTRYID') CREATE INDEX IDX_QCAS_INSPMP_FENTRYID ON T_QCAS_INSPSUBRESSAMP ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPMP_FSEQ') CREATE INDEX IDX_QCAS_INSPMP_FSEQ ON T_QCAS_INSPSUBRESSAMP ( FSEQ );



/**End D:\PDM_UPGRADE\PDM1\QCAS_constraint.sql **/
