﻿/**Begin D:\PDM_UPGRADE\PDM1\QCAS_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCAS_INSPAPPLYPROJ', 'T_QCAS_INSPAPPLYPROJ', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPAPP_FENTRYID') CREATE INDEX IDX_QCAS_INSPAPP_FENTRYID ON T_QCAS_INSPAPPLYPROJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_INSPAPP_FSEQ') CREATE INDEX IDX_QCAS_INSPAPP_FSEQ ON T_QCAS_INSPAPPLYPROJ ( FSEQ );
 
 
 EXEC P_ALTERPK 'PK_QCAS_JOININSPECT', 'T_QCAS_JOININSPECT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_JOINCT_FBILLNO') CREATE INDEX IDX_QCAS_JOINCT_FBILLNO ON T_QCAS_JOININSPECT ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_JOINCT_FCREATETIME') CREATE INDEX IDX_QCAS_JOINCT_FCREATETIME ON T_QCAS_JOININSPECT ( FCREATETIME );

 
 
 EXEC P_ALTERPK 'PK_QCAS_JOININSPENTRY', 'T_QCAS_JOININSPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_JOINRY_FID') CREATE INDEX IDX_QCAS_JOINRY_FID ON T_QCAS_JOININSPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_JOINRY_FSEQ') CREATE INDEX IDX_QCAS_JOINRY_FSEQ ON T_QCAS_JOININSPENTRY ( FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_JOINRY_FMAT') CREATE INDEX IDX_QCAS_JOINRY_FMAT ON T_QCAS_JOININSPENTRY ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_JOINRY_FMATCFG') CREATE INDEX IDX_QCAS_JOINRY_FMATCFG ON T_QCAS_JOININSPENTRY ( FMATERIALCFGID );
 
 
  EXEC P_ALTERPK 'PK_QCAS_JOININSPPROJ', 'T_QCAS_JOININSPPROJ', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_JOINOJ_FENTRYID') CREATE INDEX IDX_QCAS_JOINOJ_FENTRYID ON T_QCAS_JOININSPPROJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_JOINOJ_FSEQ') CREATE INDEX IDX_QCAS_JOINOJ_FSEQ ON T_QCAS_JOININSPPROJ ( FSEQ );
 
 
 EXEC P_ALTERPK 'PK_QCAS_JOININSPRELA_N', 'T_QCAS_JOININSPRELA_N', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_JOINLA_FENTRYID') CREATE INDEX IDX_QCAS_JOINLA_FENTRYID ON T_QCAS_JOININSPRELA_N ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCPP_JOINLA_FSEQ') CREATE INDEX IDX_QCAS_JOINLA_FSEQ ON T_QCAS_JOININSPRELA_N ( FSEQ );
 
 
 EXEC P_ALTERPK 'PK_QCAS_JOININSPSAMP_N', 'T_QCAS_JOININSPSAMP_N', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_JOINMP_FENTRYID') CREATE INDEX IDX_QCAS_JOINMP_FENTRYID ON T_QCAS_JOININSPSAMP_N ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCAS_JOINMP_FSEQ') CREATE INDEX IDX_QCAS_JOINMP_FSEQ ON T_QCAS_JOININSPSAMP_N ( FSEQ );
 


























/**End D:\PDM_UPGRADE\PDM1\QCAS_constraint.sql **/
